/*
 * Class LINEAR [NATURAL_8]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1615 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1615 [] = {0xFF01,1551,1614,875,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1615 [] = {0xFF01,1614,875,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1615 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1615 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1615 [] = {0xFF01,1614,875,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1615 [] = {0xFF01,1614,875,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1615 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1615 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1615 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1615 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1615 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1615 [] = {1614,875,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1615 [] = {0xFF01,1614,875,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1615 [] = {0xFF01,1614,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1615 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1615 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1615 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_1615[] = {
	{EIF_GENERIC(NULL), 8773, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1615), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1615), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1615), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1615), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1615), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1615), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1615), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1615), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1615), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1615), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1615), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1615), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1615), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1615), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8761, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8603, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8604, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8605, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8606, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8607, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1615), 8772, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1615), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8762, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8763, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8764, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1615), 8765, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8766, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1615), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8767, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8768, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8769, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8770, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8771, 0xFFFFFFFF},
};
void Init1615(void)
{
	IDSC(desc_1615, 0, 1614);
	IDSC(desc_1615 + 1, 1, 1614);
	IDSC(desc_1615 + 32, 1134, 1614);
	IDSC(desc_1615 + 41, 1444, 1614);
	IDSC(desc_1615 + 50, 1534, 1614);
}


#ifdef __cplusplus
}
#endif
